> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reporting/get-landing-page/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get landing page report GET https://api.mailchimp.com/3.0/reporting/landing-pages/{outreach_id} Get report of a landing page. Reference: https://mailchimp.com/developer/marketing/api/reporting/get-landing-page ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `outreach_id` (string, required) — The outreach id. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 Landing Page Report Instance - `_links` (list of LandingPageReportLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `clicks` (integer, optional) — The number of clicks to this landing pages. - `conversion_rate` (double, optional) — The percentage of people who visited your landing page and were added to your list. - `ecommerce` (LandingPageReportEcommerce, optional) - `id` (string, optional) — A string that uniquely identifies this landing page. - `list_id` (string, optional) — The list id connected to this landing page. - `list_name` (string, optional) — List Name - `name` (string, optional) — The name of this landing page the user will see. - `published_at` (datetime, optional) — The time this landing page was published. - `signup_tags` (list of LandingPageReportSignupTagsItems, optional) — A list of tags associated to the landing page. - `status` (string, optional) — The status of the landing page. - `subscribes` (integer, optional) — The number of subscribes to this landing pages. - `timeseries` (LandingPageReportTimeseries, optional) - `title` (string, optional) — The name of the landing page the user's customers will see. - `unique_visits` (integer, optional) — The number of unique visits to this landing pages. - `unpublished_at` (datetime, optional) — The time this landing page was unpublished. - `url` (string, optional) — The landing page url. - `visits` (integer, optional) — The number of visits to this landing pages. - `web_id` (integer, optional) — The ID used in the Mailchimp web application. ## Types ### LandingPageReportLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### LandingPageReportEcommerce - `average_order_revenue` (double, optional) — The average order revenue of this landing page. - `currency_code` (string, optional) — The user's currency code. - `total_orders` (integer, optional) — The total number of orders associated with this landing page. - `total_revenue` (double, optional) — The total revenue of this landing page. ### LandingPageReportSignupTagsItems - `tag_id` (integer, optional) — The unique id for the tag. - `tag_name` (string, optional) — The name of the tag. ### LandingPageReportTimeseries - `daily_stats` (LandingPageReportTimeseriesDailyStats, optional) — The clicks and visits data from the last seven days. - `weekly_stats` (LandingPageReportTimeseriesWeeklyStats, optional) — The clicks and visits data from the last five weeks. ### LandingPageReportTimeseriesDailyStats The clicks and visits data from the last seven days. - `clicks` (list of LandingPageReportTimeseriesDailyStatsClicksItems, optional) - `unique_visits` (list of LandingPageReportTimeseriesDailyStatsUniqueVisitsItems, optional) - `visits` (list of LandingPageReportTimeseriesDailyStatsVisitsItems, optional) ### LandingPageReportTimeseriesWeeklyStats The clicks and visits data from the last five weeks. - `clicks` (list of LandingPageReportTimeseriesWeeklyStatsClicksItems, optional) — The total number of clicks in a week. - `unique_visits` (list of LandingPageReportTimeseriesWeeklyStatsUniqueVisitsItems, optional) - `visits` (list of LandingPageReportTimeseriesWeeklyStatsVisitsItems, optional) — The total number of visits in a week. ### LandingPageReportTimeseriesDailyStatsClicksItems - `date` (string, optional) - `val` (integer, optional) ### LandingPageReportTimeseriesDailyStatsUniqueVisitsItems - `date` (string, optional) - `val` (integer, optional) ### LandingPageReportTimeseriesDailyStatsVisitsItems - `date` (string, optional) - `val` (integer, optional) ### LandingPageReportTimeseriesWeeklyStatsClicksItems - `date` (string, optional) - `val` (integer, optional) ### LandingPageReportTimeseriesWeeklyStatsUniqueVisitsItems - `date` (string, optional) - `val` (integer, optional) ### LandingPageReportTimeseriesWeeklyStatsVisitsItems - `date` (string, optional) - `val` (integer, optional) ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "clicks": 1, "conversion_rate": 1.1, "ecommerce": { "average_order_revenue": 1.1, "currency_code": "string", "total_orders": 1, "total_revenue": 1.1 }, "id": "00dfc2e1f0", "list_id": "string", "list_name": "Test List", "name": "string", "published_at": "2024-01-15T09:30:00Z", "signup_tags": [ { "tag_id": 1, "tag_name": "string" } ], "status": "string", "subscribes": 1, "timeseries": { "daily_stats": { "clicks": [ { "date": "2018-04-25", "val": 13 } ], "unique_visits": [ { "date": "2018-04-25", "val": 1 } ], "visits": [ { "date": "2018-04-25", "val": 11 } ] }, "weekly_stats": { "clicks": [ { "date": "2018-04-25", "val": 23 } ], "unique_visits": [ { "date": "2018-04-25", "val": 1 } ], "visits": [ { "date": "2018-04-25", "val": 49 } ] } }, "title": "string", "unique_visits": 1, "unpublished_at": "2024-01-15T09:30:00Z", "url": "string", "visits": 1, "web_id": 33345484 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reporting/landing-pages/outreach_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.